#custom-phone-box {
    width: 280px;
    background: rgba(230, 230, 230, 0.90);
    border-radius: 10px;
    position: fixed;
    bottom: 62px;
    left: -340px;
    z-index: 9999;
    padding:  10px 15px 15px 15px;
    box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.4);
    color: #000;
    text-align: center;
    transition: left 0.5s ease-in-out;
}

#custom-phone-box.active {
    left: 10px; 
}

#close-phone-box {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
    font-weight: bold;
    font-size: 18px;
    color: #333;
}

#box-text {
    font-size: 1.2rem;
    margin-bottom: 5px;
    line-height: 1.5;
}

#phone-link {
    display: flex;
    align-items: center;
    justify-content: center; 
    text-decoration: none;
    font-size: 2.2rem;
}

#phone-link i {
    font-size: 1.6rem;
    margin-right: 15px;
}


@media (max-width: 768px) {
    #custom-phone-box {
		width:240px;
        bottom: 10px;
        left: -340px;
    }

    #custom-phone-box.active {
        left: 58px; 
    }
}
